import ddf.minim.*;
Minim minim;
AudioPlayer player;

import controlP5.*;
ControlP5 controlP5;
String textValue = "";
Textfield myTextfield;

Player tank;
Ball bola1;
Ball bola2;
Ball bola3;
Ball bola4;
Ball bola5;
Ball bola6;
Ball bola7;
Ball bola8;
Ball bola9;
Ball bola10;
Ball bola11;
Ball bola12;
Melon melon1;
Melon melon2; 
Melon melon3;
Melon melon4;
Odish odish1;
Odish odish2;
Voltorb voltorb;
ArrayList bullets;
PImage tweet;
PImage tweet2;
PImage concha;
PImage O;
PImage V;
PImage B;
PImage Z;
PImage tick;
PFont font;
int mover;
int volar;
int girar;
//int morir;
int esporas;
int puntos;
int speed;
ArrayList <String> words;
//si aparece oddish o no
int count1 = 0;
//para evolucionar en vileplume
int count2 = 0;
//para evolucionar en bellosom
int count3 = 0;
//velocidad de los zubats
float count4 = 0;
//voltorb medal
int count5 = 0;
//palabra anmuleto
String spell;

float x;
float y;
float z;
float w;
float spacing;

boolean overButton (int posx, int posy, int ancho, int alto) {
  if(mouseX > posx && mouseX < posx+ancho && mouseY > posy && mouseY < posy+alto) {
    return true;
  }
  else {
    return false;
  }
}

//pages
int page = 3;

void setup() {
  size(1000, 600);
  
  //audios
  minim = new Minim(this); 
  player = minim.loadFile("forest.mp3");
  player.loop();
  
  //crea el objeto
  tank = new Player();
  bola1 = new Ball(60, random(-800, -200), 100, random(-800, -200));  
  bola2 = new Ball(250, random(-800, -100), 100, random(-800, -100));
  bola3 = new Ball(750, random(-800, -200), 100, random(-800, -200));
  bola4 = new Ball(940, random(-800, -400), 100, random(-800, -400));
  bola5 = new Ball(60, random(-2000, -600), 100, random(-2000, -600));  
  bola6 = new Ball(250, random(-2000, -800), 100, random(-2000, -800));
  bola7 = new Ball(750, random(-2000, -600), 100, random(-2000, -600));
  bola8 = new Ball(940, random(-2000, -800), 100, random(-2000, -800));
  bola9 = new Ball(60, random(-2000, -1000), 100, random(-2000, -1000));  
  bola10 = new Ball(250, random(-2000, -900), 100, random(-2000, -900));
  bola11 = new Ball(750, random(-1200, -300), 100, random(-2000, -300));
  bola12 = new Ball(940, random(-3000, -2000), 100, random(-2000, -1000));
  bullets = new ArrayList();  
  concha = loadImage("bala.png");
  tweet = loadImage("tweet.png");
  tweet2 = loadImage("tweet2.png");
  tick = loadImage("tick.png");
  melon1 = new Melon(60, 510, 75);
  melon2 = new Melon(940, 510, 75);
  melon3 = new Melon(250, 280, 75);
  melon4 = new Melon(750, 280, 75);
  odish1 = new Odish(100, 510);
  odish2 = new Odish(900, 510);
  font = loadFont("PokemonGB-48.vlw");
  words = new ArrayList();
  words.add("pokemon");
  words.add("rain");
  words.add("sun");
  words.add("hate");
  words.add("voltorb");
  initTwitter(words);
  O = loadImage("odish1.png");
  V = loadImage("vileplume1.png");
  B = loadImage("bellosom1.png");
  Z = loadImage("zubat.png");
  voltorb = new Voltorb(tank.x, tank.y);
  
  //textfield
  controlP5 = new ControlP5(this);
  myTextfield = controlP5.addTextfield("texting", 120, 150, 200, 20);
  myTextfield.setFocus(true);
  //myTextfield.setLabel(spell);
  controlP5.setAutoDraw(false);
}

void draw() {
  
  //paginas
  if (page == 0) {
    pageZero();
  }
  if (page == 1) {
    pageOne();
  }
  if (page == 2) {
    pageTwo();
  }
  if (page == 3) {
    pageThree();
  }
  if (page == 4) {
    pageFour();
  }
  if (page == 5) {
    pageFive();
  }
}

void pageZero() {
  
  background(255);
  fill(0);
  rect(0, 540, 1000, 100);
  
  //visualizar contadores
  textFont(font, 15);
  text(puntos, 700, 50);
  text("points", 780, 50);
  image(O, 710, 90, 20, 20);
  image(V, 710, 122, 20, 18);
  image(B, 710, 155, 18, 18);
  image(Z, 710, 185, 23, 16);
  image(tweet2, 60, 60, 65, 50);
  
  x = 0;
  y = 0;
  z = 0;
  w = 0;
  spacing = 0.1;
  
  stroke(0);
  fill(255);
  rect(780, 85, 100, 20);
  rect(780, 85, 50, 20);
  while(z < count1/2 && z < 100) {
    rect(780 +z, 85, 0.1, 20);
    z = z +spacing;
  }
  rect(780, 115, 100, 20);
  while(x < count2/10 && x < 100) {
    rect(780 +x, 115, 0.1, 20);
    x = x +spacing;
  }
  rect(780, 145, 100, 20);
  while(y < count3/10 && y < 100) {
    rect(780 +y, 145, 0.1, 20);
    y = y +spacing;
  }
  rect(780, 175, 100, 20);
  while(w < count4/10 && w < 100) {
    rect(780 +w, 175, 0.1, 20);
    w = w +spacing;
  }
  
  imageMode(CENTER);
  
  for(int i = 0; i < bullets.size(); i++) {
    Bullet myBullet = (Bullet)bullets.get(i);
    myBullet.update();
    bullets.set(i, myBullet);    
    myBullet.display();    
    myBullet.display(concha);   
    
    //colisión con los zubats
    //matar zubat 1
    float z1 = dist(bola1.x, bola1.y, myBullet.x, myBullet.y);
    if (z1 < (bola1.r -50)) {
      bola1.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 2
    float z2 = dist(bola2.x, bola2.y, myBullet.x, myBullet.y);
    if (z2 < (bola2.r -50)) {
      bola2.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 3
    float z3 = dist(bola3.x, bola3.y, myBullet.x, myBullet.y);
    if (z3 < (bola3.r -50)) {
      bola3.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 4
    float z4 = dist(bola4.x, bola4.y, myBullet.x, myBullet.y);
    if (z4 < (bola4.r -50)) {
      bola4.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 5
    float z5 = dist(bola5.x, bola5.y, myBullet.x, myBullet.y);
    if (z5 < (bola5.r -50)) {
      bola5.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 6
    float z6 = dist(bola6.x, bola6.y, myBullet.x, myBullet.y);
    if (z6 < (bola6.r -50)) {
      bola6.reset();
      bullets.remove(i); //todos los i dan problemas raros
      puntos = puntos + 50;
    }
    //matar zubat 7
    float z7 = dist(bola7.x, bola7.y, myBullet.x, myBullet.y);
    if (z7 < (bola7.r -50)) {
      bola7.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 8
    float z8 = dist(bola8.x, bola8.y, myBullet.x, myBullet.y);
    if (z8 < (bola8.r -50)) {
      bola8.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 9
    float z9 = dist(bola9.x, bola9.y, myBullet.x, myBullet.y);
    if (z9 < (bola9.r -50)) {
      bola9.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 10
    float z10 = dist(bola10.x, bola10.y, myBullet.x, myBullet.y);
    if (z10 < (bola10.r -50)) {
      bola10.reset();
      bullets.remove(i); //noooooooorl
      puntos = puntos + 50;
    }
    //matar zubat 11
    float z11 = dist(bola11.x, bola11.y, myBullet.x, myBullet.y);
    if (z11 < (bola11.r -50)) {
      bola11.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    //matar zubat 12
    float z12 = dist(bola12.x, bola12.y, myBullet.x, myBullet.y);
    if (z12 < (bola12.r -50)) {
      bola12.reset();
      bullets.remove(i);
      puntos = puntos + 50;
    }
    else if(myBullet.y < 0) {
      bullets.remove(i); //aulguna vez da problemas misteriosos
    }
    
    //colisión con el techo
    if (myBullet.x >= 200 && myBullet.x <= 800 && tank.y == 495) {
      if (myBullet.y < 330) {
        bullets.remove(i); //a veces da problemas rarunos
      }
    }
  }
    //muerte del melon 1
    float m1 = dist(bola1.x, bola1.y, melon1.x, melon1.y);
    if (m1 < (bola1.r +1)) {
      bola1.reset();
      melon1.morir = melon1.morir + 1;
      if (melon1.morir > 2) {
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
        page = 5;
      }
    }
    float mm1 = dist(bola5.x, bola5.y, melon1.x, melon1.y);
    if (mm1 < (bola5.r +1)) {
      bola5.reset();
      melon1.morir = melon1.morir + 1;
      if (melon1.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      } 
    }  
    float mmm1 = dist(bola9.x, bola9.y, melon1.x, melon1.y);
    if (m1 < (bola9.r +1)) {
      bola9.reset();
      melon1.morir = melon1.morir + 1;
      if (melon1.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    //muerte del melon 2
    float m2 = dist(bola2.x, bola2.y, melon3.x, melon3.y);
    if (m2 < (bola2.r +1)) {
      bola2.reset(); 
      melon3.morir = melon3.morir + 1;
      if (melon3.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    float mm2 = dist(bola6.x, bola6.y, melon3.x, melon3.y);
    if (mm2 < (bola6.r +1)) {
      bola6.reset();
      melon3.morir = melon3.morir + 1;
      if (melon3.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    float mmm2 = dist(bola10.x, bola10.y, melon3.x, melon3.y);
    if (mmm2 < (bola10.r +1)) {
      bola10.reset();
      melon3.morir = melon3.morir + 1;
      if (melon3.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    //muerte del melon 3
    float m3 = dist(bola3.x, bola3.y, melon4.x, melon4.y);
    if (m3 < (bola3.r +1)) {
      bola3.reset(); 
      melon4.morir = melon4.morir + 1;
      if (melon4.morir > 2) {
        puntos = 0;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    float mm3 = dist(bola7.x, bola7.y, melon4.x, melon4.y);
    if (mm3 < (bola7.r +1)) {
      bola7.reset();
      melon4.morir = melon4.morir + 1;
      if (melon4.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    float mmm3 = dist(bola11.x, bola11.y, melon4.x, melon4.y);
    if (mmm3 < (bola11.r +1)) {
      bola11.reset();
      melon4.morir = melon4.morir + 1;
      if (melon4.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    //muerte del melon 4
    float m4 = dist(bola4.x, bola4.y, melon2.x, melon2.y);
    if (m4 < (bola4.r +1)) {
      bola4.reset(); 
      melon2.morir = melon2.morir + 1;
      if (melon2.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    float mm4 = dist(bola8.x, bola8.y, melon2.x, melon2.y);
    if (mm4 < (bola8.r +1)) {
      bola8.reset();
      melon2.morir = melon2.morir + 1;
      if (melon2.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
    float mmm4 = dist(bola12.x, bola12.y, melon2.x, melon2.y);
    if (mmm4 < (bola12.r +1)) {
      bola12.reset();
      melon2.morir = melon2.morir + 1;
      if (melon2.morir > 2) {
        page = 5;
        melon1.morir = 0;
        melon2.morir = 0;
        melon3.morir = 0;
        melon4.morir = 0;
        bola1.reset();
        bola2.reset();
        bola3.reset();
        bola4.reset();
        bola5.reset();
        bola6.reset();
        bola7.reset();
        bola8.reset();
        bola9.reset();
        bola10.reset();
        bola11.reset();
        bola12.reset();
        count1 = 0;
        count2 = 0;
        count3 = 0;
        count4 = 0;
      }
    }
  
  bola1.display();
  bola1.update();
  bola2.display();
  bola2.update();
  bola3.display();
  bola3.update();
  bola4.display();
  bola4.update();
  bola5.display();
  bola5.update();
  bola6.display();
  bola6.update();
  bola7.display();
  bola7.update();
  bola8.display();
  bola8.update();
  bola9.display();
  bola9.update();
  bola10.display();
  bola10.update();
  bola11.display();
  bola11.update();
  bola12.display();
  bola12.update();
  melon1.display();
  melon2.display();
  melon3.display();
  melon4.display();
  if (count1 >= 100) {
    odish1.display();
    if (count1 >= 200) {
      odish2.display();
    }
  }
  if (count5 == 1) {
    voltorb.display();
  }
  tank.display();
  
  fill(0);
  //escalera1
  rect(300, 350, 5, 600);
  rect(400, 350, 5, 600);
  rect(300, 400, 100, 5);
  rect(300, 450, 100, 5);
  rect(300, 500, 100, 5);
  rect(300, 550, 100, 5);
  //escalera2
  rect(600, 350, 5, 600);
  rect(700, 350, 5, 600);
  rect(600, 400, 100, 5);
  rect(600, 450, 100, 5);
  rect(600, 500, 100, 5);
  rect(600, 550, 100, 5);
  //plataforma
  rect(180, 310, 640, 40);
  
  //frames
  if (frameCount >50) {
      frameCount = 0;
    }
    //aletear de los zubats y golbats
    if (frameCount >= 0 && frameCount < 25) {
      volar = 0;
    }
    else if (frameCount >= 25) {
      volar = 1;
    }
    if (count4 >= 300 && count4 < 500) {
      bola1.speed = 0.4;
      bola2.speed = 0.4;
      bola3.speed = 0.4;
      bola4.speed = 0.4;
      bola5.speed = 0.4;
      bola6.speed = 0.4;
      bola7.speed = 0.4;
      bola8.speed = 0.4;
      bola9.speed = 0.4;
      bola10.speed = 0.4;
      bola11.speed = 0.4;
      bola12.speed = 0.4;
    }
    if (count4 >= 500 && count4 < 700) {
      bola1.speed = 0.6;
      bola2.speed = 0.6;
      bola3.speed = 0.6;
      bola4.speed = 0.6;
      bola5.speed = 0.6;
      bola6.speed = 0.6;
      bola7.speed = 0.6;
      bola8.speed = 0.6;
      bola9.speed = 0.6;
      bola10.speed = 0.6;
      bola11.speed = 0.6;
      bola12.speed = 0.6;
    }
    if (count4 >= 700 && count4 < 1000) {
      bola1.speed = 0.8;
      bola2.speed = 0.8;
      bola3.speed = 0.8;
      bola4.speed = 0.8;
      bola5.speed = 0.8;
      bola6.speed = 0.8;
      bola7.speed = 0.8;
      bola8.speed = 0.8;
      bola9.speed = 0.8;
      bola10.speed = 0.8;
      bola11.speed = 0.8;
      bola12.speed = 0.8;
    }
    if (count4 >= 1000) {
      bola1.speed = 1;
      bola2.speed = 1;
      bola3.speed = 1;
      bola4.speed = 1;
      bola5.speed = 1;
      bola6.speed = 1;
      bola7.speed = 1;
      bola8.speed = 1;
      bola9.speed = 1;
      bola10.speed = 1;
      bola11.speed = 1;
      bola12.speed = 1;
      if (frameCount > 50) {
        frameCount = 0;
      }
      if (frameCount >= 0 && frameCount < 25) {
        volar = 2;
      }
      else if (frameCount >= 25) {
      volar = 3;
    }
  }
    
  //girar del medallón
  if (frameCount >= 0 && frameCount < 8) {
    girar = 0;
  }
  if (frameCount >= 8 && frameCount < 16) {
    girar = 1;
  }  
  if (frameCount >= 16 && frameCount < 24) {
    girar = 2;
  }  
  if (frameCount >= 24 && frameCount < 32) {
    girar = 3;
  }  
  if (frameCount >= 32 && frameCount < 40) {
    girar = 4;
  }  
  if (frameCount >= 40 && frameCount < 50) {
    girar = 5;
  }  
}

void pageOne() {//pausa
  background(0);
  textFont(font, 40);
  fill(255);
  text("PAUSE", 120, 300);
  textFont(font, 20);
  text("Continue? Y/N", 120, 350);
  
  if(key == 'y') {
    page = 0;  
  }
  if(key == 'n') {
    page = 3;
    puntos = 0;
    count1 = 0;
    count2 = 0;
    count3 = 0;
    count4 = 0;
    count5 = 0;
  }
}

void pageTwo() { //amuleto
  background(0);
  fill(255);
  textFont(font, 40);
  text("AMULET WORD", 120, 100);
  textFont(font, 20);
  textFont(font, 15);
  text("Click in the box and write your word.", 120, 260);
  text("Then, pulse ENTER to activate it.", 120, 280);
  text("If your word is cool enough, it will ", 120, 300);
  text("slow down the zubats a little!", 120, 320);
  text("If you think you are brave, try playing without it.", 120, 340);
  text("Press '0' to go back to menu", 120, 390);
  text("Press '9' to go start playing", 120, 410);
  controlP5.draw();
  if(key == ENTER) {
    image(tick, 350, 143);
  }
  if(key == '0') {
    page = 3;
  }
  if(key == '9') {
    page = 0;
  }
}

void pageThree() { //menu
  background(0);
  fill(255);
  textFont(font, 40);
  text("GLOOM GARDEN", 65, 200);
  textFont(font, 20);
  text("- Play now", 65, 300);
  text("- Your amulet", 65, 340);
  text("- Instructions", 65, 380);
}

void pageFour() { //instrucciones
  background(0);
  textFont(font, 40);
  fill(255);
  text("INSTRUCTIONS", 120, 100);
  textFont(font, 15);
  text("Wild zubats want to eat your fruits!", 120, 150);
  text("Throw them seeds to protect the watermelons.", 120, 170);
  text("Play connected to internet to get powers, ", 120, 220);
  text(" to evolve into Vileploom or Bellossom", 120, 240);
  text("to call for help and play more difficulty levels.", 120, 260);
  text("How many points can you score before loosing?", 120, 280);
  text("Move with 'a' and 'd'", 120, 330);
  text("Use ladders with 'w' and 's'", 120, 350);
  text("Pulse the spacebar ro shoot seeds", 120, 370);
  text("Pulse 'p' to pause the game", 120, 390);
  text("Pulse 'm' now go back to the menu", 120, 410);
  
  if(key == 'm') {
    page = 3;
  }
}

void pageFive() { //game over
  background(0);
  fill(255);
  textFont(font, 40);
  text("GAME OVER", 120, 300);
  textFont(font, 20);
  text("Continue? Y/N", 120, 350);
  text(puntos, 700, 50);
  text("points", 780, 50);
  //reiniciar la partida
  if(key == 'y') {
    page = 0;
    puntos = 0;
  }
  if(key == 'n') {
    page = 3;
    puntos = 0;
  }
  fill(255);
}

void keyPressed() {
  if(key == 'a') {
    tank.move(-speed);
    mover = mover + 1;
      if (mover > 1) {
      mover = 0;
    }  
  }
  if(key == 'd') {
    tank.move(speed);
    mover = mover + 1;
      if (mover > 1) {
      mover = 0;
    }  
  }
  if(key == 'w') {
    tank.climb(-speed-20);
    mover = mover + 1;
      if (mover > 1) {
      mover = 0;
    }  
  }
  if(key == 's') {
    tank.climb(speed+20);
    mover = mover + 1;
      if (mover > 1) {
      mover = 0;
    }  
  }
  if(key == ' ') {
    //número máximo de esporas
    if(bullets.size() < esporas) {
    bullets.add(new Bullet(tank.x, tank.y, 20));
    mover = mover + 1;
      if (mover > 1) {
      mover = 0;
      }
      //esporas de oddish
      if (count1 >= 100) {
        bullets.add(new Bullet(100, 460, 20));
      }  
      if (count1 >= 200) {
        bullets.add(new Bullet(900, 460, 20));
      }      
    }
  }
  if(page == 0) {
    if(key == 'p') {
      page = 1;
    }
  }
}
 
void mousePressed() {
  if (page == 3) {
    if(overButton(65, 280, 300, 40) == true) { //solo un jugador
      page = 0;
    }
    //activar jugador dos
    else if(overButton(65, 320, 300, 40) == true) { //dos jugadores
      page = 2;
    }
    else if(overButton(65, 360, 300, 40) == true) { //instrucciones
      page = 4;
    }
  }
}
 
void messageReceived(String msg) {
  println(msg);
  if (page == 3 || page == 0) {
    image(tweet, 60, 60, 65, 50);
  }
  if(page == 0) {
    if (msg.contains("pokemon")) {
      count1 = count1 + 3;
    }
    if (msg.contains("rain")) {
      count2 = count2 + 1;
    }
    if (msg.contains("sun")) {
      count3 = count3 + 1;
    }
    if (msg.contains("hate") && count4 < 1000) {
      count4 = count4 + 0.4;
    }
    if (msg.contains(spell) && count4 > 0) {
      count4 = count4 - 1;
    }
    if (msg.contains("voltorb")) {
      count5 = 1;
    }
  }
}

void controlEvent(ControlEvent theEvent) {
  //println("controlEvent: accessing a string from controller '"+theEvent.controller().name()+"': "+theEvent.controller().stringValue());
}

public void texting(String theText) {
  // receiving text from controller texting
  //println("a textfield event for controller 'texting': "+theText);
  spell = theText;
  words.add(spell);
  println("q");
  String[]  keywords = {};
  keywords = words.toArray(keywords);
  twitter.filter(new FilterQuery().track(keywords));
}
